/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.rule.data;

// Java classes

// Library classes

// Framework classes
import gov.va.med.esr.common.model.financials.DependentFinancials;
import gov.va.med.esr.common.model.person.Person;

/**
 * 
 * @author Ghazenfer Mansoor
 * @version 1.0
 */
public class DependentFinancialsInputData extends FinancialInputData 
{
    /**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -1217076929628010982L;
	private DependentFinancials incomingDependentFinancials = null;

    public DependentFinancialsInputData(DependentFinancials incomingDependentFinancials,Person incoming,Person onFile,boolean isDemographicUpdate) 
    {
        setIncomingDependentFinancials(incomingDependentFinancials);
        this.setIncomingData(incoming);
        this.setResultData(onFile);
        this.setDemographicUpdate(isDemographicUpdate);
    }

    public DependentFinancials getIncomingDependentFinancials() {
        return incomingDependentFinancials;
    }

    public void setIncomingDependentFinancials(
            DependentFinancials incomingDependentFinancials) {
        this.incomingDependentFinancials = incomingDependentFinancials;
    }
}